diff --recursive --unified=5 src/main-ros.c src-riscos/main-ros.c
--- src/main-ros.c	Sun May 12 17:18:12 2002
+++ src-riscos/main-ros.c	Thu May 30 16:52:56 2002
@@ -7462,251 +8105,314 @@
 static int debug_cy = 0;
 static int debug_cl = TERM_WHITE;
 static int debug_sl = 0;
 
 
-static void debug_cls( void )
+static void debug_cls(void)
 {
 	Term_clear();
 	debug_cx = debug_cy = debug_sl = 0;
 }
 
-static void debug_tcol( int c )
+static void debug_tcol(int c)
 {
 	debug_cl = c;
 }
 
 
-static void debug_scroll( void )
+static void debug_scroll(void)
 {
-	char	**c = ((term_data*)Term)->t.scr->c;				/* char array [24][80] */
-	byte	**a = ((term_data*)Term)->t.scr->a;				/* attr array [24][80] */
-	int		cc;
-	char	tmp[82];
-	int		y,x,p;
+	char **c = ((term_data *)Term)->t.scr->c;	/* char array [24][80] */
+	byte **a = ((term_data *)Term)->t.scr->a;	/* attr array [24][80] */
+	int cc;
+	char tmp[82];
+	int y, x, p;
 
 	cc = a[1][0];
 
-	for ( y=1; y<23; y++ )
+	for (y = 1; y < 23; y++)
 	{
-		for ( x=p=0; x<80; x++ )
+		for (x = p = 0; x < 80; x++)
 		{
-			if ( a[y][x] != cc )
+			if (a[y][x] != cc)
 			{
-				tmp[p]=0;
-				Term_putstr( x-p,y-1, p, cc, tmp );
+				tmp[p] = 0;
+				Term_putstr(x - p, y - 1, p, cc, tmp);
 				p = 0;
 				cc = a[y][x];
 			}
 			tmp[p++] = c[y][x];
 		}
-		Term_putstr( x-p,y-1, p, cc, tmp );
+		Term_putstr(x - p, y - 1, p, cc, tmp);
 	}
 
-	Term_erase( 0, 22, 80 );
+	Term_erase(0, 22, 80);
 }
 
 
-static void debug_print_line( char *l )
+static void debug_print_line(char *l)
 {
 	char *le;
 	int cr = 0;
 
 	/* Handle scrolling */
-	if ( debug_cy>22 )
+	if (debug_cy > 22)
 	{
-		debug_cy=22;
-		if ( --debug_sl<0 )
+		debug_cy = 22;
+		if (--debug_sl < 0)
 		{
 			int k;
-			display_line( 0,23, TERM_YELLOW, "[RET one line, SPC one page]" );
-			do { k=inkey(); } while (k!=32 && k!=13);
-			Term_erase( 0,23,79 );
-			debug_sl = k==32 ? 21 : 0;
+			display_line(0, 23, TERM_YELLOW, "[RET one line, SPC one page]");
+			do
+			{
+				k = inkey();
+			}
+			while (k != 32 && k != 13);
+			Term_erase(0, 23, 79);
+			debug_sl = k == 32 ? 21 : 0;
 		}
 		debug_scroll();
 	}
 
 	/* Hack: check for NL */
-	for ( le=l; *le ; le++ )
-		if ( *le == '\n' ) { cr=1; break; }
+	for (le = l; *le; le++)
+		if (*le == '\n')
+		{
+			cr = 1;
+			break;
+		}
 
 	/* display text */
-	Term_putstr( debug_cx, debug_cy, le-l, debug_cl, l );
+	Term_putstr(debug_cx, debug_cy, le - l, debug_cl, l);
 
 	/* move cursor */
-	if ( !cr )
+	if (!cr)
 	{
-		debug_cx += (le-l);
-		if (debug_cx>=80) { cr=1; }
+		debug_cx += (le - l);
+		if (debug_cx >= 80)
+		{
+			cr = 1;
+		}
+	}
+	if (cr)
+	{
+		debug_cx = 0;
+		debug_cy += 1;
 	}
-	if ( cr ) { debug_cx = 0; debug_cy += 1; }
 
-	Term_gotoxy( debug_cx, debug_cy );
+	Term_gotoxy(debug_cx, debug_cy);
 
 }
 
 
-static int debug_next_line( char *lb, char **t, int cx )
+static int debug_next_line(char *lb, char **t, int cx)
 {
-	int i=0;
+	int i = 0;
 	char *lt = *t;
 
-	if ( !*lt ) { return -1; }					/* Out of text */
+	if (!*lt)
+	{
+		return -1;
+	}							/* Out of text */
 
-	while ( *lt && cx<80 )
+	while (*lt && cx < 80)
 	{
 		lb[i] = *lt++;
 
-		if ( lb[i] == '\n' )					/* New line */
+		if (lb[i] == '\n')		/* New line */
 		{
-			cx = 0;								/* Cursor x will be 0 after displaying */
-			i++;								/* Keep the \n in the output */
-			break;								/* All done */
+			cx = 0;				/* Cursor x will be 0 after displaying */
+			i++;				/* Keep the \n in the output */
+			break;				/* All done */
 		}
-		else if ( lb[i] == '\t' )				/* Tab */
+		else if (lb[i] == '\t')	/* Tab */
 		{
-			while ( cx<80 )
+			while (cx < 80)
 			{
 				lb[i++] = ' ';
 				cx++;
-				if ( (cx & 7 )==0 ) { break; }
+				if ((cx & 7) == 0)
+				{
+					break;
+				}
 			}
 		}
-		else									/* Anything else */
+		else					/* Anything else */
 		{
 			cx++;
 			i++;
 		}
 	}
 
-	lb[i] = 0;									/* terminate line buffer */
-	*t = lt;									/* update text pointer */
-	return cx;									/* return cursor x after printing */
+	lb[i] = 0;					/* terminate line buffer */
+	*t = lt;					/* update text pointer */
+	return cx;					/* return cursor x after printing */
 }
 
-static void debug_printf( char *fmt, ... )
+static void debug_printf(char *fmt, ...)
 {
-	char	buffer[1024];
-	char	line[82];
-	va_list	ap;
-	char	*p = buffer;
+	char buffer[1024];
+	char line[82];
+	va_list ap;
+	char *p = buffer;
 
-	va_start(ap,fmt);
-	vsprintf(buffer,fmt,ap);
+	va_start(ap, fmt);
+	vsprintf(buffer, fmt, ap);
 	va_end(ap);
 
 	/* Now split the string into display lines */
-	while ( debug_next_line(line,&p,debug_cx) >= 0 )
+	while (debug_next_line(line, &p, debug_cx) >= 0)
 		debug_print_line(line);
 }
 
 
-static void debug_version_info( void )
+static void debug_version_info(void)
 {
-	debug_tcol( TERM_YELLOW ); debug_printf("\n\nMisc. Info:\n"); debug_tcol( TERM_WHITE );
-	debug_printf("\tVariant name = \"%s\"\n", VARIANT );
-	debug_printf("\tFront-end version: %s\n", PORTVERSION );
-	debug_printf("\tFront-end compiled: %s %s\n", __TIME__, __DATE__ );
+	debug_tcol(TERM_YELLOW);
+
+	debug_printf("\n\nMisc. Info:\n");
+	debug_tcol(TERM_WHITE);
+	debug_printf("\tVariant name = \"%s\"\n", VARIANT);
+	debug_printf("\tFront-end version: %s\n", PORTVERSION);
+	debug_printf("\tFront-end compiled: %s %s\n", __TIME__, __DATE__);
 	debug_printf("\tCompile time flags:\n");
-	if ( ALLOW_USE_FILECACHE ) { debug_printf("\t\tUSE_FILECACHE\n"); }
-	if ( ALLOW_ABBR_FILECACHE ) { debug_printf("\t\tABBR_FILECACHE\n"); }
-	if ( DEFAULT_SMART_FILECACHE ) { debug_printf("\t\tSMART_FILECACHE\n"); }
-
-	debug_tcol( TERM_YELLOW ); debug_printf("\nResource path:\n"); debug_tcol( TERM_WHITE );
-	debug_printf("\t\"%s\"\n",resource_path);
-
-	debug_tcol( TERM_YELLOW ); debug_printf("\nTempfile path:\n"); debug_tcol( TERM_WHITE );
-	debug_printf("\t\"%s\"\n",scrap_path);
-	debug_printf("\tScrapfiles are %s deleted at exit.\n", (flush_scrap ? "" : "NOT") );
-
-	debug_tcol( TERM_YELLOW ); debug_printf("\nChoices files:\n");
-	debug_tcol( TERM_L_BLUE ); debug_printf("\tDesired files:\n");debug_tcol( TERM_WHITE );
-	debug_printf("\tPrimary (r/w): \"%s\"\n",choices_file[CHFILE_WRITE]);
-	debug_printf("\t Fallback (r): \"%s\"\n",choices_file[CHFILE_READ]);
-	debug_printf("\t Mirror (r/w): \"%s\"\n",choices_file[CHFILE_MIRROR]);
-	debug_tcol( TERM_L_BLUE ); debug_printf("\tActual files:\n");debug_tcol( TERM_WHITE );
-	debug_printf("\t        Write: \"%s\"\n",find_choices(TRUE));
-	debug_printf("\t         Read: \"%s\"\n",find_choices(FALSE));
-
-	debug_tcol( TERM_YELLOW ); debug_printf("\nAlarm files:\n");
-	debug_tcol( TERM_L_BLUE ); debug_printf("\tDesired files:\n");debug_tcol( TERM_WHITE );
-	debug_printf("\tPrimary (r/w): \"%s\"\n",alarm_file[CHFILE_WRITE]);
-	debug_printf("\t Fallback (r): \"%s\"\n",alarm_file[CHFILE_READ]);
-	debug_tcol( TERM_L_BLUE ); debug_printf("\tActual files:\n");debug_tcol( TERM_WHITE );
-	debug_printf("\t        Write: \"%s\"\n",find_alarmfile(TRUE));
-	debug_printf("\t         Read: \"%s\"\n",find_alarmfile(FALSE));
-
-	debug_tcol( TERM_YELLOW ); debug_printf("\nDynamic areas:\n"); debug_tcol( TERM_WHITE );
-	debug_printf("\tFontcache DA = %d\t",font_area);
-	debug_printf("size = %d\theap size = %d\n",font_area_size, font_heap_size);
-	debug_printf("\t   ralloc DA = %d\t",game_area);
-	debug_printf("size = %d\theap size = %d\n",game_area_size, game_heap_size);
+
+#ifdef USE_FILECACHE
+	debug_printf("\t\tUSE_FILECACHE\n");
+#endif
+
+#ifdef ABBR_FILECACHE
+	debug_printf("\t\tABBR_FILECACHE\n");
+#endif
+
+#ifdef SMART_FILECACHE
+	debug_printf("\t\tSMART_FILECACHE\n");
+#endif
+
+	debug_tcol(TERM_YELLOW);
+	debug_printf("\nResource path:\n");
+	debug_tcol(TERM_WHITE);
+	debug_printf("\t\"%s\"\n", resource_path);
+
+	debug_tcol(TERM_YELLOW);
+	debug_printf("\nTempfile path:\n");
+	debug_tcol(TERM_WHITE);
+	debug_printf("\t\"%s\"\n", scrap_path);
+	debug_printf("\tScrapfiles are %s deleted at exit.\n",
+				 (flush_scrap ? "" : "NOT"));
+
+	debug_tcol(TERM_YELLOW);
+	debug_printf("\nChoices files:\n");
+	debug_tcol(TERM_L_BLUE);
+	debug_printf("\tDesired files:\n");
+	debug_tcol(TERM_WHITE);
+	debug_printf("\tPrimary (r/w): \"%s\"\n", choices_file[CHFILE_WRITE]);
+	debug_printf("\t Fallback (r): \"%s\"\n", choices_file[CHFILE_READ]);
+	debug_printf("\t Mirror (r/w): \"%s\"\n", choices_file[CHFILE_MIRROR]);
+	debug_tcol(TERM_L_BLUE);
+	debug_printf("\tActual files:\n");
+	debug_tcol(TERM_WHITE);
+	debug_printf("\t		Write: \"%s\"\n", find_choices(TRUE));
+	debug_printf("\t		 Read: \"%s\"\n", find_choices(FALSE));
+
+	debug_tcol(TERM_YELLOW);
+	debug_printf("\nAlarm files:\n");
+	debug_tcol(TERM_L_BLUE);
+	debug_printf("\tDesired files:\n");
+	debug_tcol(TERM_WHITE);
+	debug_printf("\tPrimary (r/w): \"%s\"\n", alarm_file[CHFILE_WRITE]);
+	debug_printf("\t Fallback (r): \"%s\"\n", alarm_file[CHFILE_READ]);
+	debug_tcol(TERM_L_BLUE);
+	debug_printf("\tActual files:\n");
+	debug_tcol(TERM_WHITE);
+	debug_printf("\t		Write: \"%s\"\n", find_alarmfile(TRUE));
+	debug_printf("\t		 Read: \"%s\"\n", find_alarmfile(FALSE));
+
+	debug_tcol(TERM_YELLOW);
+	debug_printf("\nDynamic areas:\n");
+	debug_tcol(TERM_WHITE);
+	debug_printf("\tFontcache DA = %d\t", font_area);
+	debug_printf("size = %d\theap size = %d\n", font_area_size, font_heap_size);
+	debug_printf("\t   ralloc DA = %d\t", game_area);
+	debug_printf("size = %d\theap size = %d\n", game_area_size, game_heap_size);
 }
 
 
-static void debug_filecache_info( void )
+static void debug_filecache_info(void)
 {
 #ifndef USE_FILECACHE
-	debug_tcol(TERM_L_DARK); debug_printf("File cache disabled at compile time.\n");
+	debug_tcol(TERM_L_DARK);
+	debug_printf("File cache disabled at compile time.\n");
 #else
-	int j,k;
-	int t,cs,ucs,cf;
+	int j, k;
+	int t, cs, ucs, cf;
 
-	cf=cs=ucs=j=k=0;	/* To stop an usused warning if USE_FILECACHE is undefined */
+	cf = cs = ucs = j = k = 0;	/* To stop an usused warning if USE_FILECACHE is undefined */
 	t = strlen(resource_path);
 
-	if ( !file_cache_initd ) { init_file_cache(); }					/* Paranoia */
-	debug_tcol( TERM_YELLOW ); debug_printf("\nFilecache contents:\n");
-	debug_tcol( TERM_L_BLUE ); debug_printf("Flags: Smart=%d;  Abbrv=%d;  Slave=%d;   Enable=%d\n",
-								smart_filecache, abbr_filecache, abbr_tmpfile, use_filecache );
-	debug_tcol( TERM_SLATE );
-	if ( smart_filecache || abbr_filecache )
-		debug_printf("\t\t%3s  %6s/%-6s  %6s  %6s  Path (relative to lib/)\n","Hnd","Cache","Disc","Time","Status");
+	if (!file_cache_initd)
+	{
+		init_file_cache();
+	}							/* Paranoia */
+	debug_tcol(TERM_YELLOW);
+	debug_printf("\nFilecache contents:\n");
+	debug_tcol(TERM_L_BLUE);
+	debug_printf("Flags: Smart=%d;  Abbrv=%d;  Slave=%d;   Enable=%d\n",
+				 smart_filecache, abbr_filecache, abbr_tmpfile, use_filecache);
+	debug_tcol(TERM_SLATE);
+	if (smart_filecache || abbr_filecache)
+		debug_printf("\t\t%3s  %6s/%-6s  %6s  %6s  Path (relative to lib/)\n",
+					 "Hnd", "Cache", "Disc", "Time", "Status");
 	else
-		debug_printf("\t\t%3s  %6s  %6s  %6s  Path (relative to lib/)\n","Hnd","Size","Time","Status");
+		debug_printf("\t\t%3s  %6s  %6s  %6s  Path (relative to lib/)\n", "Hnd",
+					 "Size", "Time", "Status");
 
-	for ( j = 0; j<MAX_CACHE_ENTRIES ; j++ )
+	for (j = 0; j < MAX_CACHE_ENTRIES; j++)
 	{
 		FileCacheEntry *fce = &(file_cache[j]);
-		if ( fce->name )
+		if (fce->name)
 		{
 			cf++;
 			debug_tcol(TERM_L_GREEN);
-			debug_printf("\t\t%3d  ",j);
+			debug_printf("\t\t%3d  ", j);
 			debug_tcol(TERM_L_UMBER);
-			if ( !smart_filecache && !abbr_filecache )
-				debug_printf("%6d  ",fce->eof - fce->text);
+			if (!smart_filecache && !abbr_filecache)
+				debug_printf("%6d  ", fce->eof - fce->text);
 			else
 			{
-				debug_printf("%6d/",fce->eof - fce->text);
+				debug_printf("%6d/", fce->eof - fce->text);
 				k = myFile_Size(riscosify_name(fce->name));
-				debug_printf("%-6d  ",k);
-				if ( k>0 ) { ucs += k; }
+				debug_printf("%-6d  ", k);
+				if (k > 0)
+				{
+					ucs += k;
+				}
 			}
 			cs += fce->eof - fce->text;
-			debug_printf("%6d  ",fce->used);
-			for ( k=0; k<MAX_OPEN_CACHED_FILES; k++ )
-				if ( cached_file_handle[k].fce == fce )
+			debug_printf("%6d  ", fce->used);
+			for (k = 0; k < MAX_OPEN_CACHED_FILES; k++)
+				if (cached_file_handle[k].fce == fce)
 					break;
-			debug_tcol(TERM_RED); debug_printf("%-6s  ", k<MAX_OPEN_CACHED_FILES ? "Open" : "" );
-			debug_tcol(TERM_L_UMBER); debug_printf("%s\n",fce->name+t);
+			debug_tcol(TERM_RED);
+			debug_printf("%-6s  ", k < MAX_OPEN_CACHED_FILES ? "Open" : "");
+			debug_tcol(TERM_L_UMBER);
+			debug_printf("%s\n", fce->name + t);
 		}
 	}
 
 	debug_tcol(TERM_L_BLUE);
-	debug_printf("\tTotal:\t%3d  ",cf);
-	if ( ucs )
-		debug_printf("%6d/%-6d\n",cs,ucs);
+	debug_printf("\tTotal:\t%3d  ", cf);
+	if (ucs)
+		debug_printf("%6d/%-6d\n", cs, ucs);
 	else
-		debug_printf("%6d\n",cs);
+		debug_printf("%6d\n", cs);
 	debug_tcol(TERM_BLUE);
-#endif			/* USE_FILECACHE */
+#endif /* USE_FILECACHE */
 }
 
 
-static void show_debug_info( void )
+static void show_debug_info(void)
 {
 	int k;
 	/* blank the term */
 	debug_cls();
 
@@ -7716,25 +8422,27 @@
 		debug_tcol(TERM_VIOLET);
 		debug_printf("\nInfo: (V)ersion, (F)ilecache, ESC=exit ");
 		do
 		{
 			k = inkey();
-			switch ( k )
+			switch (k)
 			{
-				case 'v' : case 'V' : debug_version_info(); break;
-				case 'f' : case 'F' : debug_filecache_info(); break;
-				case 27 : break;
-				default : k=0;
+				case 'v':  case 'V': debug_version_info();
+					break;
+				case 'f':  case 'F': debug_filecache_info
+						();
+					break;
+				case 27: break;
+				default: k = 0;
 			}
-		} while ( !k );
-	} while ( k!=27 );
+		}
+		while (!k);
+	}
+	while (k != 27);
 
 	Term_clear();
 }
-#endif			/* FE_DEBUG_INFO */
-
-
-#endif			/* __riscos */
-
 
+#endif /* FE_DEBUG_INFO */
 
+#endif /* __riscos */
 
Only in src/: main-sla.c
Only in src/: main-vcs.c
Only in src/: main-vme.c
Only in src/: main-win.c
Only in src/: main-x11.c
Only in src/: main-xaw.c
Only in src/: main-xpj.c
Only in src/: main-xxx.c
Only in src/: main.c
Only in src/: main.h
Only in src/: melee1.c
Only in src/: melee2.c
Only in src/: monster1.c
Only in src/: monster2.c
Only in src/: object1.c
Only in src/: object2.c
Only in src/: randart.c
Only in src/: readdib.c
Only in src/: readdib.h
Only in src/: save.c
diff --recursive --unified=5 src/script.c src-riscos/script.c
--- src/script.c	Thu May 30 10:29:12 2002
+++ src-riscos/script.c	Thu May 30 18:01:56 2002
@@ -30,11 +30,18 @@
 
 	filename = tolua_getstring(L, 1, 0);
 
 	path_build(buf, 1024, ANGBAND_DIR_SCRIPT, filename);
 
+#ifdef ACORN
+	{
+		char *realname = riscosify_name(buf);
+		tolua_pushstring(L, realname);
+	}
+#else
 	tolua_pushstring(L, buf);
+#endif
 
 	return 1;
 }
 
 
@@ -574,11 +581,18 @@
 
 bool script_do_file(cptr filename)
 {
 	if (!L) return FALSE;
 
+#ifdef ACORN
+	{
+		char *realname = riscosify_name(filename);
+		if (!lua_dofile(L, realname)) return TRUE;
+	}
+#else
 	if (!lua_dofile(L, filename)) return TRUE;
+#endif
 
 	return FALSE;
 }
 
 
@@ -612,5 +626,6 @@
 	return FALSE;
 }
 
 
 #endif /* USE_SCRIPT */
+
